ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-18757) DB configs consistency check failed after upgrade from 2.1.1 to 2.4.2 (stack 2.3)
Date Tue, 01 Nov 2016 17:30:59 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-18757?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15626079#comment-15626079
] 

Hudson commented on AMBARI-18757:
---------------------------------

FAILURE: Integrated in Jenkins build Ambari-branch-2.5 #236 (See [https://builds.apache.org/job/Ambari-branch-2.5/236/])
AMBARI-18757. DB configs consistency check failed after upgrade from (vbrodetskyi: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=6f5d214147a23eaa5e183877d9f5c3f1108e00ab])
* (edit) ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog242.java
* (edit) ambari-server/src/test/java/org/apache/ambari/server/upgrade/UpgradeCatalog242Test.java


> DB configs consistency check failed after upgrade from 2.1.1 to 2.4.2 (stack 2.3)
> ---------------------------------------------------------------------------------
>
>                 Key: AMBARI-18757
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18757
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.4.2
>            Reporter: Vitaly Brodetskyi
>            Assignee: Vitaly Brodetskyi
>            Priority: Blocker
>             Fix For: 2.4.2
>
>         Attachments: AMBARI-18757.patch
>
>
> 1)Install old version regarding env. (enable AD security) 
> 2)Make ambari only upgrade
> Actual result: 
> DB configs consistency check failed after upgrade from 2.1.1 to 2.4.2 (stack 2.3)
> {code}
> 2016-10-28 02:43:15,878 ERROR - Required config(s): storm-cluster-log4j,storm-worker-log4j
is(are) not available for service STORM with service config version 4 in cluster cl1
> 2016-10-28 02:43:15,917  INFO - ******************************* Check database completed
*******************************
> 2016-10-28 02:47:01,109  INFO - ******************************* Check database started
*******************************
> 2016-10-28 02:47:12,523  INFO - Checking for configs not mapped to any cluster
> 2016-10-28 02:47:12,538  INFO - Checking for configs selected more than once
> 2016-10-28 02:47:12,541  INFO - Checking for hosts without state
> 2016-10-28 02:47:12,544  INFO - Checking host component states count equals host component
desired states count
> 2016-10-28 02:47:12,548  INFO - Checking services and their configs
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / PIG
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / SPARK
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / MAPREDUCE2
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / YARN
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / FALCON
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / SLIDER
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / HIVE
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / TEZ
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / ZOOKEEPER
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / STORM
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / SQOOP
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / HBASE
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / OOZIE
> 2016-10-28 02:47:17,674  INFO - Processing HDP-2.3 / FLUME
> 2016-10-28 02:47:17,675  INFO - Processing HDP-2.3 / KNOX
> 2016-10-28 02:47:17,675  INFO - Processing HDP-2.3 / KERBEROS
> 2016-10-28 02:47:17,675  INFO - Processing HDP-2.3 / HDFS
> 2016-10-28 02:47:17,675  INFO - Processing HDP-2.3 / AMBARI_METRICS
> 2016-10-28 02:47:17,682 ERROR - Required config(s): sqoop-site is(are) not available
for service SQOOP with service config version 1 in cluster cl1
> 2016-10-28 02:47:17,682 ERROR - Required config(s): falcon-client.properties,falcon-log4j
is(are) not available for service FALCON with service config version 3 in cluster cl1
> 2016-10-28 02:47:17,682 ERROR - Required config(s): spark-thrift-sparkconf,spark-hive-site-override
is(are) not available for service SPARK with service config version 3 in cluster cl1
> 2016-10-28 02:47:17,682 ERROR - Required config(s): knoxsso-topology,admin-topology is(are)
not available for service KNOX with service config version 3 in cluster cl1
> 2016-10-28 02:47:17,682 ERROR - Required config(s): ams-ssl-client,ams-ssl-server,ams-grafana-env,ams-grafana-ini
is(are) not available for service AMBARI_METRICS with service config version 3 in cluster
cl1
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message